.. _usage:

-----
Usage
-----

.. _clib:

WRTD Library
============

.. _api_error:

Error Handling API
------------------

.. _api_error_codes:

Error Codes
+++++++++++

.. doxygenenum:: wrtd_status

Functions
+++++++++

.. doxygenfunction:: wrtd_get_error
.. doxygenfunction:: wrtd_error_message

.. _api_init:

Initialisation API
------------------

.. doxygenfunction:: wrtd_init
.. doxygenfunction:: wrtd_close
.. doxygenfunction:: wrtd_reset

.. _api_attr:

Attribute Handling API
----------------------

.. _api_attr_id:

Attributes
++++++++++

.. doxygenenum:: wrtd_attr

.. doxygendefine:: WRTD_GLOBAL_REP_CAP_ID

Functions
+++++++++

.. doxygenstruct:: wrtd_tstamp
                   :members:

.. doxygenfunction:: wrtd_set_attr_bool
.. doxygenfunction:: wrtd_get_attr_bool
.. doxygenfunction:: wrtd_set_attr_int32
.. doxygenfunction:: wrtd_get_attr_int32
.. doxygenfunction:: wrtd_set_attr_string
.. doxygenfunction:: wrtd_get_attr_string
.. doxygenfunction:: wrtd_set_attr_tstamp
.. doxygenfunction:: wrtd_get_attr_tstamp

.. _api_log:

Event Logging API
-----------------

.. doxygendefine:: WRTD_LOG_ENTRY_SIZE

.. doxygenfunction:: wrtd_clear_event_log_entries
.. doxygenfunction:: wrtd_get_next_event_log_entry

.. _api_alarm:

Alarms API
----------

.. doxygenfunction:: wrtd_add_alarm
.. doxygenfunction:: wrtd_disable_all_alarms
.. doxygenfunction:: wrtd_remove_alarm
.. doxygenfunction:: wrtd_remove_all_alarms
.. doxygenfunction:: wrtd_get_alarm_name

.. _api_rule:

Rules API
---------

.. doxygenfunction:: wrtd_add_rule
.. doxygenfunction:: wrtd_disable_all_rules
.. doxygenfunction:: wrtd_remove_rule
.. doxygenfunction:: wrtd_remove_all_rules
.. doxygenfunction:: wrtd_get_rule_name
.. doxygenfunction:: wrtd_reset_rule_stats

.. _api_app:

Applications API
----------------

.. doxygenfunction:: wrtd_get_fw_name

.. _pywrap:

Python Library
==============
.. autoclass:: PyWrtd.PyWrtd
   :members:

.. _tools:

Tools
=====
